Skip to main content
System Global Type/License Operations
GETLicense OperationsSince 4.1.0SynchronousAuth Required

GetLicenseInfo

GetLicenseInfo

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • additionSessionString

    Optional. The additional information. The value is a JSON-formatted string.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLicenseInventoryRequired

    See inventory.

    • licenseTypeStringRequired

      No description provided.

    • licenseRequestStringRequired

      No description provided.

    • expiredDateStringRequired

      已过期时间。

    • issuedDateStringRequired

      issued时间。

    • userStringRequired

      用户信息。

    • prodInfoStringRequired

      The license product name.

    • hostNumIntegerRequired

      No description provided.

    • cpuNumIntegerRequired

      No description provided.

    • availableHostNumIntegerRequired

      No description provided.

    • availableCpuNumIntegerRequired

      No description provided.

    • expiredbooleanRequired

      已过期。

Endpoint

GET/zstack/v1/licenses

/zstack/v1/licenses

Operation ID

GetLicenseInfo

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/licenses?additionSession=<additionSession>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "licenseType": "Free", "licenseRequest": "example request", "issuedDate": "2017-01-19 14:31:06", "user": "example", "hostNum": 10.0, "expired": true, "managementNodeUuid": "00898b3538e53e70bb7521e54ff80276" }, "additions": [] }

Change History

This API has no change history records yet.

View all change history